import request from "@/utils/request";

// 设备人员信息维护

// 获取人员信息
export function getRYList(data) {
  return request({
    url: "/emSbrydyp/getRYList",
    method: "post",
    data,
  });
}

// 设备信息转码
export function emSbjbbZM(data) {
  return request({
    url: "/api/sy/emSbjbbZM",
    method: "post",
    data,
  });
}

// 部门对应设备名称和编号
export function getBMMCBM(data) {
  return request({
    url: "/emSbjbb/getBMMCBM",
    method: "post",
    data,
  });
}

// 获取列表
export function getList(data) {
  return request({
    url: "/emSbrydyp/getList",
    method: "post",
    data,
  });
}

// 批量新增
export function save(data) {
  return request({
    url: "/emSbrydyp/save",
    method: "post",
    data,
  });
}
// 批量修改
export function update(data) {
  return request({
    url: "/emSbrydyp/update",
    method: "post",
    data,
  });
}

// 批量删除
export function delete1(data) {
  return request({
    url: "/emSbrydyp/delete",
    method: "post",
    data,
  });
}

//设备加工人员
export function getSbjgrys(data) {
  return request({
    url: "/emSbjgry/getList",
    method: "post",
    data,
  });
}

export function saveJgry(data) {
  return request({
    url: "/emSbjgry/save",
    method: "post",
    data,
  });
}

export function updateJgry(data) {
  return request({
    url: "/emSbjgry/update",
    method: "post",
    data,
  });
}
export function deleteJgry(data) {
  return request({
    url: "/emSbjgry/delete",
    method: "post",
    data,
  });
}

